
<script>
  $(function(){
      $("#RSide").removeAttr("id")
      $("#container").css('width',"1000px")
  });
    function searchone4reload(fileid){
        var url = "<%= searchone4reload_course_files_path(@course)%>";
        var data = {};data.fileid=fileid;
        $.ajax({
            url:url,dataType:'text',data:data,success:function(text){
                var container_file_div = $("#container_files_"+fileid);
                container_file_div.after(text);
                container_file_div.remove();
            }
        });
    }
    function show_upload(obj)
    {
        switch(obj)
        {
            case 1:
                $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course,:course_attachment_type => 1}) %>');
                break;
            case 2:
                $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course,:course_attachment_type => 2}) %>');
                break;
            case 3:
                $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course,:course_attachment_type => 3}) %>');
                break;
            case 4:
                $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course,:course_attachment_type => 4}) %>');
                break;
            case 6:
                $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course,:course_attachment_type => 6}) %>');
                break;
            default:
                $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course,:course_attachment_type => 5}) %>');
        }
        showModal('ajax-modal', '513px');
        $('#ajax-modal').siblings().remove();
        $('#ajax-modal').before("<a href='javascript:void(0)' onclick='closeModal()' style='margin-left: 480px;'><img src='/images/bid/close.png' width='26px' height='26px' /></a>");
        $('#ajax-modal').parent().css("top","").css("left","").css("border","3px solid #269ac9");
        $('#ajax-modal').parent().addClass("popbox_polls");
    }

    function closeModal()
    {
        hideModal($("#popbox_upload"));
    }

    function presscss(id)
    {
        if(id == "incourse")
        {
            $('#incourse').attr("class", "re_schbtn b_dblue");
            $('#insite').attr("class", "re_schbtn b_lblue");
        }
        else
        {
            $('#incourse').attr("class", "re_schbtn b_lblue");
            $('#insite').attr("class", "re_schbtn b_dblue");
        }
    }
    function buttoncss()
    {
        $('#incourse').attr("class", "re_schbtn b_lblue");
        $('#insite').attr("class", "re_schbtn b_lblue");
    }
</script>

<div class="homepageRight mt0 ml10">
  <div class="homepageRightBanner">
    <div class="NewsBannerName">资源库</div>
    <ul class="resourcesSelect">
      <li class="resourcesSelected"><a href="javascript:void(0);" class="resourcesIcon"></a>
        <ul class="resourcesType">
          <li><a href="javascript:void(0);" onclick="search_tag_attachment('<%= search_tag_attachment_course_files_path(@course)%>','','<%= @q%>','<%= @course.id%>');" class="resourcesTypeAll resourcesGrey">全部</a></li>
          <li><a href="javascript:void(0);" onclick="search_tag_attachment('<%= search_tag_attachment_course_files_path(@course)%>','课件','<%= @q%>','<%= @course.id%>');" class="homepagePostTypeAssignment postTypeGrey">课件</a></li>
          <li><a href="javascript:void(0);" onclick="search_tag_attachment('<%= search_tag_attachment_course_files_path(@course)%>','软件','<%= @q%>','<%= @course.id%>');" class="softwareIcon postTypeGrey">软件</a></li>
          <li><a href="javascript:void(0);" onclick="search_tag_attachment('<%= search_tag_attachment_course_files_path(@course)%>','媒体','<%= @q%>','<%= @course.id%>');" class="mediaIcon resourcesGrey">媒体</a></li>
          <li><a href="javascript:void(0);" onclick="search_tag_attachment('<%= search_tag_attachment_course_files_path(@course)%>','代码','<%= @q%>','<%= @course.id%>');" class="codeIcon resourcesGrey">代码</a></li>
          <li><a href="javascript:void(0);" onclick="search_tag_attachment('<%= search_tag_attachment_course_files_path(@course)%>','论文','<%= @q%>','<%= @course.id%>');" class="thesisIcon resourcesGrey">论文</a></li>
          <li><a href="javascript:void(0);" onclick="search_tag_attachment('<%= search_tag_attachment_course_files_path(@course,:other=>true)%>','其他','<%= @q%>','<%= @course.id%>');" class="othersIcon resourcesGrey">其它</a></li>
        </ul>
      </li>
    </ul>
  </div>
  <div class="resources mt10" style="padding-bottom:5px;">
    <div class="reTop mb5">
      <%= form_tag( search_course_files_path(@course), method: 'get',:class => "re_search",:remote=>true) do %>
          <%= text_field_tag 'name', params[:name], name: "name", :class => 'researchBox fl',:style=>"padding: 0px"%>
          <%= submit_tag "课内搜索", :class => "blueBtn mr5 fl",:name => "incourse",:id => "incourse" %>
          <%#= submit_tag "全站搜索", :class => "blueBtn mr5 fl",:name => "insite",:id => "insite" %>
          <% if is_course_teacher(User.current,@course) || (@course.publish_resource==1 && User.current.member_of_course?(@course) ) %>
              <input class="blueBtn fr mr5" value="上传资源" onclick="course_files_upload();">
              <%= link_to("导入资源", import_resources_user_path(User.current, :type => 6, :course_id => @course.id), :class => "blue-btn fr mr5", :remote => true) %>
          <% end %>
      <% end %>

      <!-- show_window('light','fade','20%','35%')-->
      <!--<a href="javascript:void(0)" class="re_fabu f_r b_lblue" onclick="show_upload();">上传资源</a>-->
    </div>
    <div>
      <div class="fileTagWrap" id="files_tag">
        <%= render :partial => "files/tag_yun", :locals => {:tag_list => @tag_list,:course => @course,:tag_name => @tag_name}%>
      </div>
      <div class="cl"></div>
      <div class="re_con_top">
          <p class="f_l  fontBlue f_b f_14">共有&nbsp;<span id="attachment_count"><%= @all_attachments.count%></span>&nbsp;个资源</p>
          <p class="f_r" style="color: #808080" id="course_filter_order">
            <%= render :partial => 'course_file_filter_order', :locals => {:remote => @is_remote, :sort => @sort, :order => @order} %>
          </p>
      </div>
    </div>
    <div class="cl"></div>
  </div>
  <div  id="course_list">
   <%= render :partial => 'course_list',:locals => {course: @course,all_attachments: @all_attachments,sort:@sort,order:@order,curse_attachments:@obj_attachments} %>
  </div>
</div>
<%# html_title(l(:label_attachment_plural)) -%>